summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2008-11-09 17:51:24 -0500
committerDaniel Kahn Gillmor <dkg@fifthhorseman.net>2008-11-09 17:51:24 -0500
commit6bc022e40bca1b5cd4aa5878572faa3152a9195c (patch)
tree00fcf6b8114ea9021cbfa6cac43f29de2cd5a1b2 /tests
parent7836f86d02a15f25941c098b065989678bfe72a2 (diff)
parentf05d8f446617a5ee6438232ab16c4619c160ae0e (diff)
Merge commit 'web/master'
Diffstat (limited to 'tests')
-rwxr-xr-xtests/basic4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/basic b/tests/basic
index 289a1b7..c38a74b 100755
--- a/tests/basic
+++ b/tests/basic
@@ -13,10 +13,11 @@
# all subcommands in this script should complete without failure:
set -e
+# piped commands should return the code of the first non-zero return
+set -o pipefail
## make sure that the right tools are installed to run the test. the
## test has *more* requirements than plain ol' monkeysphere:
-
which socat || { echo "You must have socat installed to run this test." ; exit 1; }
## FIXME: other checks?
@@ -120,7 +121,6 @@ export MONKEYSPHERE_LOG_LEVEL=DEBUG
export SSHD_CONFIG="$TEMPDIR"/sshd_config
export SOCKET="$TEMPDIR"/ssh-socket
-export SSHD_PID=
# Make sure $DISPLAY is set to convince ssh and monkeysphere to fall
# back on $SSH_ASKPASS. Make sure it's not set to the current actual